package jaclib.memory;

import jaclib.memory.Buffer;
import jaclib.memory.Source;

public class NativeBuffer implements Buffer, Source {

   private int anInt4425 = -1637274101;
   private long aLong4426;


   public final int method30() {
      return 60330589 * this.anInt4425;
   }

   public final long method75() {
      return -8795220613238817479L * this.aLong4426;
   }

   public void method79(byte[] var1, int var2, int var3, int var4) {
      if(this.aLong4426 * -8795220613238817479L == 0L | null == var1 | var2 < 0 | var2 + var4 > var1.length | var3 < 0 | var3 + var4 > this.anInt4425 * 60330589) {
         throw new RuntimeException();
      } else {
         this.put(this.aLong4426 * -8795220613238817479L, var1, var2, var3, var4);
      }
   }

   private final native void get(long var1, byte[] var3, int var4, int var5, int var6);

   private final native void put(long var1, byte[] var3, int var4, int var5, int var6);

   public final int method31() {
      return 60330589 * this.anInt4425;
   }

   public final long method80() {
      return -8795220613238817479L * this.aLong4426;
   }

   public final long method81() {
      return -8795220613238817479L * this.aLong4426;
   }

   public void method82(byte[] var1, int var2, int var3, int var4) {
      if(this.aLong4426 * -8795220613238817479L == 0L | null == var1 | var2 < 0 | var2 + var4 > var1.length | var3 < 0 | var3 + var4 > this.anInt4425 * 60330589) {
         throw new RuntimeException();
      } else {
         this.put(this.aLong4426 * -8795220613238817479L, var1, var2, var3, var4);
      }
   }
}
